#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD8,0x0E,0xE3,0x35,0x3D,0x9E,0xEF,0x80,0xB6,0x29,0x7B,0x0C,
		0x3D,0xCD,0x13,0x9A,0xB1,0x09,0xDF,0xF9,0xFD,0x42,0x36,0x23,
		0x02,0xB1,0x17,0xE0,0x57,0x25,0x5F,0x9D,0xB9,0x43,0xB4,0x7F,
		0x03,0x31,0xA8,0x21,0x70,0x3B,0x47,0x73,0x4F,0x6F,0x2B,0xA2,
		0x3E,0x06,0xD6,0x84,0x2F,0xBB,0x7A,0x84,0xC9,0xF3,0x44,0x2A,
		0x9D,0x80,0x4C,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
